[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/libXres/devel .cvsignore, 1.9, 1.10 libXres.spec, 1.26, 1.27 sources, 1.10, 1.11



On Tue, 2009-10-13 at 22:04 +0530, Parag N(पराग़) wrote:

> > -BuildRequires: pkgconfig
> > -BuildRequires: libX11-devel
> > -BuildRequires: libXext-devel
> > +BuildRequires: pkgconfig(xext)
> >
> >  %description
> >  X-Resource is an extension that allows a client to query
> > @@ -21,7 +19,6 @@ the X server about its usage of various
> >  Summary: Development files for %{name}
> >  Group: Development/Libraries
> >  Requires: %{name} = %{version}-%{release}
> > -Requires: pkgconfig
> 
>   According to Review Guidelines "MUST: Packages containing
> pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory
> ownership and usability)", this should not be removed.

atropine:~% repoquery --whatprovides 'pkgconfig(xext)'
libXext-devel-0:1.0.99.4-3.fc12.i686
atropine:~% repoquery --requires libXext-devel | grep pkg
pkgconfig
pkgconfig(x11)
pkgconfig(xextproto)

So, whatever.  Clearly the pkgconfig autorequires are doing the right
thing: -devel packages that provide a .pc file pick up a Requires:
pkgconfig.  The guidelines should be fixed.

- ajax


Attachment: signature.asc
Description: This is a digitally signed message part


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]